#pragma once
#include "glm/glm.hpp"
#include "graphics/Shader.h"
#include "graphics/Window.h"
#include "graphics/Texture.h"
#include "graphics/Camera.h"
#include "graphics/Renderable.h"
#include "Graphics/Material.h"

#include "spdlog/spdlog.h"

#include "Input/InputManager.h"
#include "Graphics/Renderer.h"
#include "Graphics/GUI/GUIManager.h"
#include "Scene.h"


#include "PerfCounter.h"


extern void Start();
extern void Update();
extern void ImmediateGraphicsDraw();
extern void Stop();

extern BarinkEngine::InputManager InputSystem;